FruxonDocs
ApiLlm provider configs

Restores the draft from a specific revision.

Copies the parameters from the target revision into the draft without changing `PublishedRevisionId`. Use this to load a previous revision's values into the draft for editing before re-publishing.

POST
/v1/tenants/{tenant}/llmProviders/{llmProvider}/configs/{llmConfig}:restoreDraft
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.

In: header

Path Parameters

llmConfig*string

The configuration ID.

Formatuuid
tenant*string

The tenant identifier

llmProvider*string

The LLM provider identifier (e.g., openai, anthropic)

The revision to restore from.

revisionId*string
Formatuuid
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/llmProviders/string/configs/497f6eca-6276-4993-bfeb-53cbbbba6f08:restoreDraft" \  -H "Content-Type: application/json" \  -d '{    "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6"  }'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "providerId": "string",
  "displayName": "string",
  "parameters": {},
  "publishedRevisionId": "00000000-0000-0000-0000-000000000000",
  "createdBy": "string",
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}